Name:           python-rapidminer
Version:        2025.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools for running RapidMiner processes and managing RapidMiner repositories.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/rapidminer/python-rapidminer
Source:         %{pypi_source rapidminer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rapidminer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rapidminer
Summary:        %{summary}

%description -n python3-rapidminer %_description


%prep
%autosetup -p1 -n rapidminer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rapidminer -f %{pyproject_files}


%changelog
%autochangelog